#!/bin/sh
# ============================================================================
#
# This file is part of the 'FFP-stick for ZyXEL NSA-nnn'
# http://zyxel.nas-central.org/wiki/FFP-stick
#
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# Author: Mijzelf <Mijzelf@live.com>
#
# ============================================================================
# 
# This script is supposed to be started by the firmware, due to the right
# combination of nsannn_check_file and salted_md5sum.Zy_Private
#
# If you change anything in this file, you'll have to recreate the 
# salted_md5sum file:
# cat /etc/Zy_Private usb_key_func.sh | md5sum > salted_md5sum.Zy_Private
# or for the NSA-3x0:
# cat /lib/libzy.so usb_key_func.sh | md5sum > salted_md5sum.libzy.so
#

SCRIPTVERSION="20110712"

# ===================================================
# function SplitPath
# split path in first parameter in path and filename
SPLITTEDPATH="" # Output path
SPLITTEDFILE="" # Output file
# ===================================================
SplitPath()
{
    SPLITTEDPATH=""
    SPLITTEDFILE=""
    IFSBACKUP=${IFS}; 	IFS=/
    for chunk in $1
    do
        newpath=""
        if [ "${SPLITTEDPATH}" = "" ] ; then
	    newpath="${chunk}"
	else
	    newpath="${SPLITTEDPATH}/${chunk}"
	fi
	if [ "${newpath}" = "$1" ] ; then
	    SPLITTEDFILE="${chunk}"
	elif [ "/${newpath}" = "$1" ] ; then
	    SPLITTEDPATH="/${SPLITTEDPATH}"
	    SPLITTEDFILE="${chunk}"
	else
	    SPLITTEDPATH="${newpath}"
	fi
    done
    IFS=${IFSBACKUP}
    if [ "" = "${SPLITTEDPATH}" ] || [ "." = "${SPLITTEDPATH}" ]; then
	SPLITTEDPATH=` pwd `
    fi
}

SplitPath $0
exec ${SPLITTEDPATH}/fun_plug.sh FirstCall -ll


